Bug 1800872 - OLM: Prop type warning on Installed Operators page
Summary: OLM: Prop type warning on Installed Operators page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-08 15:19 UTC by Samuel Padgett
Modified: 2020-05-04 11:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.4.0-0.ci-2020-02-06-162333 Cluster ID: 4dd4683b-9318-45e7-97dd-f7b5f8debf00 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-04 11:34:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4314 None closed Bug 1800872: Bug Fix bug where prop type warnings appear on Installed Operators 2020-04-17 19:53:09 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:35:16 UTC

Description Samuel Padgett 2020-02-08 15:19:31 UTC
I see the following prop type warning navigating to Operators -> Installed Operators.

Warning: React does not recognize the `customData` prop on a DOM element. If you intentionally want it to appear in the DOM as a custom attribute, spell it as lowercase `customdata` instead. If you accidentally passed it from a parent component, remove it from the DOM element.
    in tr (created by TableRow)
    in TableRow
    in Unknown (created by ClusterServiceVersionTableRow)
    in ErrorBoundary (created by ClusterServiceVersionTableRow)
    in ClusterServiceVersionTableRow (created by InstalledOperatorTableRow)
    in InstalledOperatorTableRow (created by VirtualGrid)
    in CellMeasurer (created by VirtualGrid)
    in tbody (created by VirtualGrid)
    in table (created by VirtualGrid)
    in VirtualGrid (created by VirtualTableBody)
    in VirtualTableBody (created by VirtualBody)
    in VirtualBody (created by AutoSizer)
    in div (created by AutoSizer)
    in div (created by AutoSizer)
    in AutoSizer (created by WindowScroller)
    in WindowScroller (created by WithScrollContainer)
    in WithScrollContainer (created by TableInner)
    in div (created by TableWrapper)
    in TableWrapper (created by TableInner)
    in div (created by Data)
    in Data (created by StatusBox)
    in StatusBox (created by TableInner)
    in div (created by TableInner)
    in TableInner (created by ConnectFunction)
    in ConnectFunction (created by ClusterServiceVersionList)
    in ClusterServiceVersionList (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in ListPageWrapper_ (created by MultiListPage)
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction (created by MultiListPage)
    in div (created by ConnectedFireMan)
    in ConnectedFireMan (created by ConnectFunction)
    in ConnectFunction
    in ConnectFunction (created by MultiListPage)
    in MultiListPage (created by ClusterServiceVersionsPage)
    in ClusterServiceVersionsPage (created by AsyncComponent)
    in AsyncComponent
    in div
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by ConnectFunction)
    in ConnectFunction (created by Context.Consumer)
    in Route (created by AppContents_)
    in Switch (created by AppContents_)
    in div (created by AppContents_)
    in div (created by AppContents_)
    in section (created by PageSection)
    in PageSection (created by AppContents_)
    in AppContents_ (created by ConnectFunction)
    in ConnectFunction (created by ConnectFunction)
    in ConnectFunction (created by App)
    in div (created by DrawerContent)
    in DrawerContent (created by NotificationDrawer)
    in div (created by Drawer)
    in Drawer (created by NotificationDrawer)
    in NotificationDrawer (created by ConnectedNotificationDrawer_)
    in ConnectedNotificationDrawer_ (created by ConnectFunction)
    in ConnectFunction (created by App)
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction (created by App)
    in main (created by Page)
    in div (created by Page)
    in Page (created by App)
    in App (created by Context.Consumer)
    in Route
    in Router
    in Provider react-dom.development.js:545
    React 20
    Redux 7
    incrementallyLoad k8s.ts:177
    incrementallyLoad k8s.ts:177
    step main-163688143ede1b661fed.js:20742
    verb main-163688143ede1b661fed.js:20723
    fulfilled main-163688143ede1b661fed.js:20714

Comment 3 shahan 2020-02-18 09:54:37 UTC
No  prop type warnings in the installed operators page.
4.4.0-0.nightly-2020-02-17-211020

Comment 5 errata-xmlrpc 2020-05-04 11:34:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.